#!/usr/bin/coffee
'use strict'
lzma = require('lzma')

#PouchDB    = require 'pouchdb'
#basePatch  =  'https://oleg:631074@couchdb.osvoj.ru:443/000SitesScript/'
#db = new PouchDB(basePatch, {auto_compaction: true});



fs       = require 'fs'
#mg      = require '../base/migliore.ru.json'
path     = require 'path'
coffee   = require 'coffeescript'
UglifyJS = require("uglify-js")
stylus   = require('stylus')
nib      = require('nib')


doc = 'loaderSitesScript'
cf = fs.readFileSync(path.normalize(__dirname+'/../src/'+doc+'/code.coffee'))
#cf = fs.readFileSync(path.normalize(__dirname+'/../src/loaderSitesScript/code.coffee'))

cf = cf.toString()

js = coffee.compile cf,
         'no-header': true
         'bare'     : true




ujs = UglifyJS.minify js,
         toplevel: true
         compress:
            global_defs:
               "@console.log": "alert"
            passes: 2
         output:
            beautify: false,
            preamble: "/* oSvoj.ru developers mail: oleg@osvoj.ru */"



console.log cf
console.log js
console.log ujs.code.toString()
console.log  btoa(ujs.code.toString())

putdb = ()->
    db.get doc
         .then (d)->
              d.code = btoa(ujs.code.toString())
              d.styl = css
              db.put d
                   .then (d)->
                       console.dir d



css = ''
stylus(fs.readFileSync( __dirname+'/../src/'+doc+ '/styl.styl', 'utf8'))
    #.set('filename', __dirname+'/../src/'+doc+ '/styl.styl')
    #.import(__dirname+'/../src/'+doc+ '/mixins')
    .set('compress', true)
    .use(nib())
    .import('nib')
    .render (err, c)->
        if err
            throw err
        css = c
        console.dir css
        #putdb()
        
