#!/usr/bin/coffee


'use strict'
PouchDB    = require 'pouchdb'
path = require('path')
crypto = require 'crypto'
globalThis.pass = ()=>([1e4]+'-'+[1e16]).replace(/[018]/g,c=()->(c^crypto.getRandomValues(new Uint8Array(1))[0]&15 >> c/32).toString(16))
globalThis.md5 = require 'md5'


basePatch  =  'https://oleg:631074@couchdb.osvoj.ru:443/zdrav_test/'
db = new PouchDB(basePatch)

mas = [
    "https://mrqz.me/6697b28a90daf100264b2365/",
    "https://mrqz.me/66b9c6b64c06ba00260c7d0e",
    "https://mrqz.me/66b9ccaf148bdc00263e309e",
    "https://zdravclinic.ru/abdullaeva-raziyat-idrisovna/",
    "https://zdravclinic.ru/action-season/",
    "https://zdravclinic.ru/akashev-ruslan-vladimirovich/",
    "https://zdravclinic.ru/aktsii/akciya2-kompleksnoe-obsledovanie-sustavov-i-pozvonochnika/",
    "https://zdravclinic.ru/aktsii/uzi-kolennogo-sustava/",
    "https://zdravclinic.ru/alamankina-svetlana-yurevna/",
    "https://zdravclinic.ru/alekseeva-mariya-vladimirovna/",
    "https://zdravclinic.ru/ankudinova-ekaterina-nikolaevna/",
    "https://zdravclinic.ru/ardasheva-elena-igorevna/",
    "https://zdravclinic.ru/arshin-viktor-vladimirovich/",
    "https://zdravclinic.ru/axmedova-ashura-gadzhiyusupovna/",
    "https://zdravclinic.ru/azarov-aleksandr-vyacheslavovich/",
    "https://zdravclinic.ru/azens-svetlana-yurevna/",
    "https://zdravclinic.ru/babovnikova-lyudmila-nikolaevna/",
    "https://zdravclinic.ru/belokurov-vadim-valentinovich/",
    "https://zdravclinic.ru/belov-vladislav-vladimirovich/",
    "https://zdravclinic.ru/belyaeva-lyudmila-viktorovna/",
    "https://zdravclinic.ru/berdnidczkaya-majya-evgenevna/",
    "https://zdravclinic.ru/bessonova-irina-aleksandrovna/",
    "https://zdravclinic.ru/bezoperaczionnoe-lechenie-kolenej/",
    "https://zdravclinic.ru/bolezni/bursit-paltsa-ruki/",
    "https://zdravclinic.ru/bolezni/bursit-pyatochnyij/",
    "https://zdravclinic.ru/bolezni/deformiruyushhij-osteoartroz-kolennogo-sustava/",
    "https://zdravclinic.ru/bolezni/lecheniye-pyatochnoy-shpory-v-moskve/",
    "https://zdravclinic.ru/bolezni/osteoartroz-golenostopnogo-sustava/",
    "https://zdravclinic.ru/bolezni/osteoartroz-plechevogo-sustava/",
    "https://zdravclinic.ru/bolezni/osteoartroz-poyasnichnogo-otdela/",
    "https://zdravclinic.ru/bolezni/osteoartroz-shejnogo-otdela/",
    "https://zdravclinic.ru/bolezni/osteoartroz-tazobedrennogo-sustava/",
    "https://zdravclinic.ru/bolezni/ozonoterapiay-dlay-lecheniay-sustavov/",
    "https://zdravclinic.ru/bolezni/sedalishchnyy-bursit/",
    "https://zdravclinic.ru/botkin-igor-konstantinovich/",
    "https://zdravclinic.ru/buyakova-irina-vladimirovna/",
    "https://zdravclinic.ru/chekalina-olga-valerevna/",
    "https://zdravclinic.ru/chekeridi-yurij-elefterovich/",
    "https://zdravclinic.ru/cherkashov-andrej-mixajlovich/",
    "https://zdravclinic.ru/chizhikov-petr-dmitrievich/",
    "https://zdravclinic.ru/dolgieva-fatima-muxarbekovna/",
    "https://zdravclinic.ru/egorov-oleg-georgievich/",
    "https://zdravclinic.ru/fedosin-pavel-borisovich/",
    "https://zdravclinic.ru/gabitova-elmira-valerevna/",
    "https://zdravclinic.ru/gagarin-aleksej-borisovich/",
    "https://zdravclinic.ru/gofman-margarita-viktorovna/",
    "https://zdravclinic.ru/golovkin-vladimir-nikolaevich/",
    "https://zdravclinic.ru/golubinskaya-irina-anatolevna/",
    "https://zdravclinic.ru/grigoryan-aramais-grigorevich/",
    "https://zdravclinic.ru/hidrieva-aminat-bagomedovna/",
    "https://zdravclinic.ru/ilenko-igor-ivanovich/",
    "https://zdravclinic.ru/iliyazov-nurkamil-bakirovich/",
    "https://zdravclinic.ru/isaev-vladimir-viktorovich/",
    "https://zdravclinic.ru/kamalova-gulnara-fanuzovna/",
    "https://zdravclinic.ru/kardanova-rimma-refgatovna/",
    "https://zdravclinic.ru/kayasheva-kristina-sergeevna/",
    "https://zdravclinic.ru/kirilyuk-evgenij-vladimirovich/",
    "https://zdravclinic.ru/kleshh-danil-sergeevich/",
    "https://zdravclinic.ru/klinika-na-baumanskoj/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-begovoj/gumerov/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-begovoj/morozenko-sergey-fillipovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-begovoj/zezylay-sergey-aleksandrovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-chertanovskoy/kerchenko-anna-aleksandrovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-chertanovskoy/murodova-natalya-bazarovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-oktyabrskoj/alieva-leyla-sardar-kzu/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-oktyabrskoj/dragnikov-nikolay-nikolaevich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-oktyabrskoj/skrinnikai/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-oktyabrskoj/zavalko-aleksey-fedorovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-proletarskoj/dubrovskaya-anna-vyacheslavovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-proletarskoj/gorbunov-aleksey-iduardovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-proletarskoj/kazarayn-garik-mushegovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-shhyolkovskoj/giller-galina-vitalevna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-shhyolkovskoj/matveev-evgeniy-aleksandrovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-shhyolkovskoj/mysienko-nadegda-ivanovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-shhyolkovskoj/zharkov-aleksandr-pavlovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-ugo-zapadnoi/sebyakinyv/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-yugo-zapadnoj/bulatkin-nikolaj-vasilevich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-yugo-zapadnoj/neymisheva-svetlana-nikolaevna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-yugo-zapadnoj/semenov-aleksej-anatolevich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-na-yugo-zapadnoj/sevostyanov-dmitrij-viktorovich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-marino/bachiev-puslan-usufovich_2/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-marino/dohovnik/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-marino/sinyagina-natalya-vladimirovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-otradnom/ashygayn-irina-albertovna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-otradnom/babovnikov-aleksey-valerievich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-otradnom/derzhavina-irina-nikolaevna/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-otradnom/kazmishhev-konstantin-nikolaevich/",
    "https://zdravclinic.ru/kliniki-zdravstvuyte/klinika-v-otradnom/pereverzev-ilya-vitalevich/",
    "https://zdravclinic.ru/kolesnikova-irina-aleksandrovna/",
    "https://zdravclinic.ru/komleva-anzhelika-vladimirovna/",
    "https://zdravclinic.ru/kongieva-milana-yusupovna/",
    "https://zdravclinic.ru/kopyilova-ekaterina-andreevna/",
    "https://zdravclinic.ru/kosheleva-yuliya-viktorovna/",
    "https://zdravclinic.ru/kovalenko-danila-sergeevich/",
    "https://zdravclinic.ru/kozaeva-diana-dzodczaevna/",
    "https://zdravclinic.ru/krajnov-sergej-anatolevich/",
    "https://zdravclinic.ru/kravchenko-maksim-vladislavovich/",
    "https://zdravclinic.ru/krenev-dmitrij-viktorovich/",
    "https://zdravclinic.ru/kuchejnik-sergej-grigorevich/",
    "https://zdravclinic.ru/kurbach-nataliya-mixajlovna/",
    "https://zdravclinic.ru/kuzmin-vyacheslav-ivanovich/",
    "https://zdravclinic.ru/kuzmina-elena-nikolaevna/",
    "https://zdravclinic.ru/kuzmina-polina-nikolaevna/",
    "https://zdravclinic.ru/kuzneczov-petr-stanislavovich/",
    "https://zdravclinic.ru/laiev-xabib-visaxazhievich/",
    "https://zdravclinic.ru/lending/begovaya/",
    "https://zdravclinic.ru/lending/bol-poz-sustav/",
    "https://zdravclinic.ru/lending/chertanovskaya/",
    "https://zdravclinic.ru/lending/lechenie-sustavov/",
    "https://zdravclinic.ru/lending/lechenie-zashhemleniya-nerva/",
    "https://zdravclinic.ru/lending/manualnyy-terapevt/",
    "https://zdravclinic.ru/lending/nevrolog/",
    "https://zdravclinic.ru/lending/oktyabrskaya/",
    "https://zdravclinic.ru/lending/ortoped",
    "https://zdravclinic.ru/lending/ortoped/",
    "https://zdravclinic.ru/lending/osteopat/",
    "https://zdravclinic.ru/lending/otradnoe/",
    "https://zdravclinic.ru/lending/proletarskaya/",
    "https://zdravclinic.ru/lending/reabilitacziya-posle-operaczii-na-meniske/",
    "https://zdravclinic.ru/lending/revmatolog/",
    "https://zdravclinic.ru/lending/shhelkovskaya/",
    "https://zdravclinic.ru/lending/uzo-zapadnaj/",
    "https://zdravclinic.ru/lending/vosstanovlenie-sustavov/",
    "https://zdravclinic.ru/letfullina-saida-maratovna/",
    "https://zdravclinic.ru/leushina-galina-ivanovna/",
    "https://zdravclinic.ru/lisenkov-konstantin-aleksandrovich/",
    "https://zdravclinic.ru/lukyanova-mariya-aleksandrovna/",
    "https://zdravclinic.ru/magomedov-magomedsejid-saidovich/",
    "https://zdravclinic.ru/makedonskij-evgenij-vitalevich/",
    "https://zdravclinic.ru/marushhak-vitalij-vitalevich/",
    "https://zdravclinic.ru/mesxadze-tamara-vasilevna/",
    "https://zdravclinic.ru/mishustina-elena-vladimirovna/",
    "https://zdravclinic.ru/molchanov-evgenij-romanovich/",
    "https://zdravclinic.ru/moskaleva-ekaterina-vladimirovna/",
    "https://zdravclinic.ru/musiev-rasul-narimanovich/",
    "https://zdravclinic.ru/myakinina-anna-eduardovna/",
    "https://zdravclinic.ru/nemeshaev-aleksandr-vladimirovich/",
    "https://zdravclinic.ru/nikonov-denis-vitalevich/",
    "https://zdravclinic.ru/niyazova-adelya-anvarovna/",
    "https://zdravclinic.ru/novikov-aleksej-sergeevich/",
    "https://zdravclinic.ru/nuczalxanov-timur-ersmurzaevich/",
    "https://zdravclinic.ru/petrova-oksana-aleksandrovna/",
    "https://zdravclinic.ru/pochkin-evgenij-olegovich/",
    "https://zdravclinic.ru/prilepa-svetlana-aleksandrovna/",
    "https://zdravclinic.rupass/samushhik-tatyana-vladimirovna/",
    "https://zdravclinic.ru/savina-valeriya-vladimirovna/",
    "https://zdravclinic.ru/savinov-pavel-vladimirovich/",
    "https://zdravclinic.ru/seredina-valentina-nikolaevna/",
    "https://zdravclinic.ru/service/diagnostika/uzi-sustavov-nizhnih-konechnostej/",
    "https://zdravclinic.ru/service/kineziotejpirovanie/",
    "https://zdravclinic.ru/service/plazmolifting-sustavov/",
    "https://zdravclinic.ru/service/uvt//",
    "https://zdravclinic.ru/shashkov-evgenij-evgenevich/",
    "https://zdravclinic.ru/spina//",
    "https://zdravclinic.ru/stati/prichinyi-onemeniya-ruk-i-nog/",
    "https://zdravclinic.ru/stati/shum-i-zvon-v-golove-pri-shejnom-osteoxondroze/",
    "https://zdravclinic.ru/stepanova-nataliya-mixajlovna/",
    "https://zdravclinic.ru/strokov-andrej-vladimirovich/",
    "https://zdravclinic.ru/sulajbanov-gasbal-sulajbanovich/",
    "https://zdravclinic.ru/sumina-evgeniya-yurevna/",
    "https://zdravclinic.ru/suxanov-vladimir-viktorovich/",
    "https://zdravclinic.ru/terzi-elena-georgievna/",
    "https://zdravclinic.ru/trofimova-natalya-nikolaevna/",
    "https://zdravclinic.ru/tukmachev-egor-ivanovich/",
    "https://zdravclinic.ru/tyutyaeva-irina-igorevna/",
    "https://zdravclinic.ru/ullubiev-magomednabi-abdulmuslimovich/",
    "https://zdravclinic.ru/ushakova-milena-sergeevna/",
    "https://zdravclinic.ru/ustranenie-boli-v-pozvonochnike-i-sustavax-za-1-priyom/",
    "https://zdravclinic.ru/vasechkin-viktor-borisovich/",
    "https://zdravclinic.ru/veneczkaya-olga-aleksandrovna/",
    "https://zdravclinic.ru/vertebrologi/",
    "https://zdravclinic.ru/vnutritkanevaya-elektrostimulyacziya/",
    "https://zdravclinic.ru/volkova-anna-vladimirovna/",
    "https://zdravclinic.ru/volkova-anvara-vladimirovna/",
    "https://zdravclinic.ru/voronko-oksana-alekseevna/",
    "https://zdravclinic.ru/voroshilova-nina-naumovna/",
    "https://zdravclinic.ru/vrachi-kliniki-zdravstvuyte/nevrolog/",
    "https://zdravclinic.ru/vrachi-kliniki-zdravstvuyte/ortopedyi/",
    "https://zdravclinic.ru/vrachi-kliniki-zdravstvuyte/revmatolog/",
    "https://zdravclinic.ru/xalimov-renat-rifkatovich/",
    "https://zdravclinic.ru/xan-natalya-aleksandrovna/",
    "https://zdravclinic.ru/xodosh-robert-gennadevich/",
    "https://zdravclinic.ru/xotdzhiev-perman-muradovich/",
    "https://zdravclinic.ru/xvostikova-tatyana-viktorovna/",
    "https://zdravclinic.ru/xvostov-denis-leonidovich/",
    "https://zdravclinic.ru/yakubson-viktor-mixajlovich/",
    "https://zdravclinic.ru/zavadskij-eduard-yurevich/",
    "https://zdravclinic.ru/zdravklinik-na-baumanskoj/"
]

run = ()->
    if mas.length > 0
        a = {}
        a.url = mas.shift()
        a._id = pass()
        db.put a
            .then (d)->
                console.dir d
                run()
            .catch (e)->
                console.dir e
 #run()




test = ()->
    db.query 'admin/test-path', {limit: 1}
        .then (d)->
            ph = d.rows[0].value
            fetch(ph.url, { method: 'HEAD' })
                .then (dd)->
                    console.dir dd.status
                    ph.status = dd.status
                    ph.test = Date.now()
                    db.put ph
                        .then (ddd)->
                            console.dir ddd
                            test()
                .catch (e)->
                    console.dir e
                    ph.err = e
                    ph.test = Date.now()
                    db.put ph
                        .then (ddd)->
                            console.dir ddd
                            test()
test()
